clang 8.0.0

Static Public Member Functions | List of all members
llvm::DenseMapInfo< clang::APValue::LValueBase > Struct Template Reference

`#include "clang/AST/APValue.h"`

## Static Public Member Functions
static clang::APValue::LValueBase | getEmptyKey ()
static clang::APValue::LValueBase | getTombstoneKey ()
static unsigned | getHashValue (const clang::APValue::LValueBase &Base)
static bool | isEqual (const clang::APValue::LValueBase &LHS, const clang::APValue::LValueBase &RHS)

## Detailed Description

### template<>
struct llvm::DenseMapInfo< clang::APValue::LValueBase >

Definition at line 507 of file APValue.h.

## Member Function Documentation

## ◆ getEmptyKey()

clang::APValue::LValueBase llvm::DenseMapInfo< clang::APValue::LValueBase >::getEmptyKey | ( |  | ) |
| static

Definition at line 47 of file APValue.cpp.

## ◆ getHashValue()

unsigned llvm::DenseMapInfo< clang::APValue::LValueBase >::getHashValue | ( | const clang::APValue::LValueBase & | Base | ) |
| static

Definition at line 62 of file APValue.cpp.

References clang::APValue::LValueBase::getCallIndex(), clang::APValue::LValueBase::getOpaqueValue(), and clang::APValue::LValueBase::getVersion().

## ◆ getTombstoneKey()

clang::APValue::LValueBase llvm::DenseMapInfo< clang::APValue::LValueBase >::getTombstoneKey | ( |  | ) |
| static

Definition at line 55 of file APValue.cpp.

## ◆ isEqual()

bool llvm::DenseMapInfo< clang::APValue::LValueBase >::isEqual | ( | const clang::APValue::LValueBase & | LHS,
|  | const clang::APValue::LValueBase & | RHS
| ) |  |
| static

Definition at line 71 of file APValue.cpp.

The documentation for this struct was generated from the following files:

- include/clang/AST/APValue.h
- lib/AST/APValue.cpp